##### 7.5.15.0. hasLeftDenom

Procedure from library `ncfrac.lib` (see ncfrac_lib).

Usage:
  hasLeftDenom(frac), ncfrac frac

Purpose:
  checks if frac has a left representation

Return:
  int, 1 if frac has a left representation, 0 otherwise

Example:

    LIB "ncfrac.lib";
    ==> // ** redefining testNcfrac (LIB "ncfrac.lib";) ./examples/hasLeftDenom.s\
       ing:1
    ==> // ** redefining testNcloc (    LIB "ncloc.lib";) ncfrac.lib::mod_init:11\
       3
    ring R = 0,(x,y,Dx,Dy),dp;
    def S = Weyl();
    setring S;
    ncloc loc = ideal(x-3,y+7);
    ncfrac noLeft = list([0,0,3*y*Dx,x+2], loc);
    hasLeftDenom(noLeft);
    ==> 0
    ncfrac left = list([1,Dx,Dx,1], loc);
    hasLeftDenom(left);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.